connect_schematic_components

ModelerEmit.connect_schematic_components(firstcomponent, secondcomponent, pinnum_first=2, pinnum_second=1)

Connect schematic components.

Parameters
firstcomponentstr

Starting (right) component.

secondcomponentstr

Ending (left) component for the connection line.

pinnum_firststr, optional

Number of the pin at which to terminate the connection from the right end of the starting component. The default is 2.

pinnum_secondstr, optional

Number of the pin at which to termiante the connection from the left end of the ending component. The default is 1.

Returns
bool

True when successful, False when failed.

References

>>> oEditor.CreateWire